name: flutter_base_app
description: A new Flutter application.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev
version: 1.0.0+1

environment:
  sdk: "2.13.3"

dependencies:
  flutter:
    sdk: flutter

  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.2

  # GetX is an extra-light and powerful solution for Flutter.
  # It combines high performance state management, intelligent dependency injection, and route management in a quick and practical way.
  # https://pub.dev/packages/get
  get: ^4.1.4

  # A new flutter plugin project for the Native device essentials.
  # https://pub.dev/packages/flutter_device_details
  flutter_device_details: ^0.0.2

  # A widget provided to the flutter scroll component drop-down refresh and pull up load.support android and ios.
  # https://pub.dev/packages/pull_to_refresh
  pull_to_refresh: ^2.0.0

  # A powerful Http client for Dart, which supports Interceptors, Global configuration, FormData, Request Cancellation, File downloading, Timeout etc.
  # https://pub.dev/packages/dio
  dio: ^4.0.0

  # Flutter plugin for launching a URL on Android and iOS. Supports web, phone, SMS, and email schemes.
  # https://pub.dev/packages/url_launcher
  url_launcher: ^6.0.3

  # Flutter Secure Storage provides API to store data in secure storage. Keychain is used in iOS, KeyStore based solution is used in Android.
  # https://pub.dev/packages/flutter_secure_storage
  flutter_secure_storage: ^3.3.5

  # A set of high-level APIs over PointyCastle for two-way cryptography.
  # https://pub.dev/packages/encrypt
  encrypt: ^5.0.0

  # Flutter plugin for reading and writing simple key-value pairs. Wraps NSUserDefaults on iOS and SharedPreferences on Android.
  # https://pub.dev/packages/shared_preferences
  shared_preferences: ^2.0.5

  # Flutter plugin for selecting images from the Android and iOS image library, and taking new pictures with the camera.
  # https://pub.dev/packages/image_picker
  image_picker: ^0.7.5

  # QR.Flutter is a Flutter library for simple and fast QR code rendering via a Widget or custom painter.
  # https://pub.dev/packages/qr_flutter/install
  qr_flutter: ^3.2.0

  # A Flutter plugin to share content from your Flutter app via the platform's share dialog.
  # https://pub.dev/packages/share/install
  share: ^0.6.5+4

  # Flutter widget that automatically resizes text to fit perfectly within its bounds.
  # https://pub.dev/packages/auto_size_text
  auto_size_text: ^2.1.0

  # A pure dart toast Library.
  # https://pub.dev/packages/oktoast
  oktoast: ^3.0.0

  # Provides internationalization and localization facilities
  # https://pub.dev/packages/intl
  intl: ^0.17.0

  # This plugin provides a cross-platform (iOS, Android) API to request permissions and check their status.
  # https://pub.dev/packages/permission_handler
  permission_handler: ^7.1.0

  # QR code (scan code / picture) recognition
  # https://pub.dev/packages/super_qr_reader
  super_qr_reader: ^2.1.4

  # The Flutter plugin for iOS and Android to decoding QR codes.
  # https://pub.dev/packages/qr_code_tools
  qr_code_tools: ^0.0.7




dev_dependencies:
  flutter_test:
    sdk: flutter

flutter:
  fonts:
    - family: Montserrat
      fonts:
        - asset: lib/assets/fonts/Montserrat/Montserrat-Regular.ttf
    - family: RobotoCondensed
      fonts:
        - asset: lib/assets/fonts/RobotoCondensed/RobotoCondensed-Regular.ttf
  uses-material-design: true

  assets:
    - packages/flutter_base_app/assets/images/fi-rr-eye-crossed.png
    - packages/flutter_base_app/assets/images/fi-rr-eye.png
    - packages/flutter_base_app/assets/images/2.0x/fi-rr-eye-crossed.png
    - packages/flutter_base_app/assets/images/2.0x/fi-rr-eye.png
    - packages/flutter_base_app/assets/images/3.0x/fi-rr-eye-crossed.png
    - packages/flutter_base_app/assets/images/3.0x/fi-rr-eye.png
